<p align="center">
   <img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/banner.png">
</p>

<p align="center">
	<a href="https://github.com/hellzerg/optimizer/releases/download/15.3/Optimizer-15.3.exe" target="_blank">
		<img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/download-button.png">
		<br>
		<img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/flags.png">
	</a>
</p>

### ℹ️ Summary:

Advanced configuration utility that helps you restore your privacy and increase your security.<br>
Optimizer is recommended after a fresh, clean installation of Windows to achieve maximum privacy and security.<br>
Depending on your version of Windows, Optimizer will also allow you to perform some specific tweaks.

- Full multilingual support (21 languages available)
- Speed up your system and network performance
- Disable unnecessary Windows services
- Disable Windows telemetry, Cortana and many more
- Disable Office telemetry (works only with Office 2016)
- Disable Windows 10 automatic updates
- Download useful apps quickly at once
- Uninstall UWP apps
- Clean your system drive and major browsers' profile data
- Fix common registry issues
- Ping IPs and assess your latency
- Search IPs on SHODAN.io
- Rapidly change DNS server (from a pre-made list)
- Flush DNS cache
- Remove unwanted programs running at startup
- Edit your HOSTS file
- Find file lock handles and kill associated processes
- Hardware inspection tool
- Add items in desktop on right-click menu
- Define custom commands for run dialog
- Silent run support using a configuration file

<hr>

### ⬇️ Downloads:

https://github.com/hellzerg/optimizer/releases

<hr>

### 🖼️ Screenshots:

https://github.com/hellzerg/optimizer/blob/master/IMAGES.md

<hr>

### 🆘 How to effectively disable Defender in Windows 10 1903 and later

Restart in SAFE-MODE and run Optimizer with `/disabledefender` switch
<br>-OR-<br>
Execute Optimizer with `/restart=disabledefender` switch and let it do the rest automatically

<hr>

### 🔨 Automation using templating:

https://github.com/hellzerg/optimizer/blob/master/AUTOMATION.md

<hr>

### 🔨 Command-line options:

https://github.com/hellzerg/optimizer/blob/master/CONFS.md

<hr>

### ❓ Frequently asked questions section:

https://github.com/hellzerg/optimizer/blob/master/FAQ.md

<hr>

### 📜 Changelog:

https://github.com/hellzerg/optimizer/blob/master/CHANGELOG.md

<hr>

### 🛡️ Security policy:

https://github.com/hellzerg/optimizer/blob/master/SECURITY.md

<hr>

### 🖼️ Early development images:

https://github.com/hellzerg/optimizer/blob/master/LEGACY.md

<hr>

### 💻 Compatibility:

- .NET Framework 4.8.1
- Compatible with Windows 7, 8, 8.1, 10, 11
- Can run under Windows Server 2008, 2012, 2016, 2019, 2022 using `/unsafe` switch

<hr>

### 📊 Details:

- Latest version: 15.3
- Released: May 18, 2023
- SHA256: 0F225C69528A10E2E4616BF00CB5164B8A010F630D774AC2989916D477CF75FD

<hr>

### ☕ Buy me a delicious espresso

Support my hard work by donating me through [PayPal](https://www.paypal.com/paypalme/supportoptimizer)

<hr>

### 🌐 Join our [Discord](https://discord.gg/rZh8BhmmQv) community

<hr>

### ❤️ Tools used:

- [ByteSize](https://github.com/omar/ByteSize) | Thanks for this really tiny, yet extremely useful library
- ColorPicker | Thanks to cat - https://github.com/vadiscode for the new theme engine

<hr>

### ❤️ Credits for translating:

- https://github.com/mrkaban - mrkaban for Russian translation
- https://github.com/theflamehd - theflamehd for German translation
- https://github.com/Kheasyque - Kheasyque for Turkish translation
- https://github.com/danielcshn - danielcshn for Spanish translation
- https://github.com/cassiompf - Cassio for Portuguese translation
- https://github.com/RAFF47 - RAFF for French translation
- https://github.com/Ziocash - Ziocash for Italian translation
- https://github.com/btwise - btwise for Chinese translation
- https://github.com/tomlonghorn - Tom Longhorn for Czech translation
- https://github.com/H3XDaemon - H3XDaemon for Taiwanese translation
- https://github.com/VenusGirl - VenusGirl for Korean translation
- https://github.com/Wilamaxin - Wilamaxin for Polish translation
- https://github.com/MesterPerfect - MesterPerfect for Arabic translation
- https://github.com/BeamingNG - BeamingNG, DefaultUser9148 for Romanian translation
- https://github.com/svanlaere - svanlaere for Dutch translation
- https://github.com/kirill0ermakov - Kirill Ermakov for Ukrainian translation
- https://github.com/Hayao0819 - Yamada Hayao for Japanese translation
- https://github.com/creeper-0910 - creeper-0910 for Correction of Japanese translation
- Parwar Andam for Kurdish translation
- Zan for Hungarian translation
